#pragma once

#ifndef __sampleboxgame_h__
	#define __sampleboxgame_h__

#include <samplegame.h>

class SampleActorsGame : public SampleGame
{
public:
	SampleActorsGame();

	virtual void initialize();
	virtual void release();
	virtual void input(GxF32 elapsedTime);
	virtual void update(GxF32 elapsedTime);
	virtual void render(GxF32 elapsedTime);

	virtual void printHelp();

protected:
	Material planeMaterial;

};

#endif /* __sampleboxgame_h__ */